Error running meteor test - Arguments to path.join must be strings


#1

Do anyone have this problem below too? I’m trying run a simple test without nothing important or different.

/usr/local/bin/meteor test --driver-package practicalmeteor:mocha --port 3100 --settings env/dev/settings.json
[[[[[ Tests ]]]]]

=> Started proxy.
=> Started MongoDB.
=> Started your app.

=> App running at: http://localhost:3100
I20160407-22:27:17.793(-3)? Exception in defer callback: TypeError: Arguments to path.join must be strings
I20160407-22:27:17.794(-3)? at path.js:360:15
I20160407-22:27:17.794(-3)? at Array.filter (native)
I20160407-22:27:17.794(-3)? at Object.exports.join (path.js:358:36)
I20160407-22:27:17.794(-3)? at Object.pathJoin (packages/velocity_meteor-internals.js:681:16)
I20160407-22:27:17.795(-3)? at Object.getTestsPath (/private/var/folders/lt/xtllnx7d6619n_4rf9pm8pf80000gn/T/meteor-test-run1hb4acl/.meteor/local/build/programs/server/packages/velocity_core.js:1425:44)
I20160407-22:27:17.795(-3)? at initFileWatcher (/private/var/folders/lt/xtllnx7d6619n_4rf9pm8pf80000gn/T/meteor-test-run1hb4acl/.meteor/local/build/programs/server/packages/velocity_core.js:1604:23)
I20160407-22:27:17.795(-3)? at initializeVelocity (/private/var/folders/lt/xtllnx7d6619n_4rf9pm8pf80000gn/T/meteor-test-run1hb4acl/.meteor/local/build/programs/server/packages/velocity_core.js:1364:11)
I20160407-22:27:17.795(-3)? at [object Object].
.extend.withValue (packages/meteor.js:1100:17)
I20160407-22:27:17.795(-3)? at packages/meteor.js:445:45
I20160407-22:27:17.796(-3)? at runWithEnvironment (packages/meteor.js:1154:24)


#2

Im encountering the same issue


#3

I had this and it was because I still had one of the velocity reporter packages installed. See if you have anything pertaining to velocity and try removing it.


#4

I removed but when I do any meteor command the velocity packages appears again in versions file.

Log
velocity:chokidar added, version 1.2.0_1
velocity:core added, version 0.10.10
velocity:meteor-internals added, version 1.1.0_7
velocity:meteor-stubs added, version 1.1.1
velocity:shim added, version 0.1.0

Versions file with velocity
velocity:chokidar@1.2.0_1
velocity:core@0.10.10
velocity:meteor-internals@1.1.0_7
velocity:meteor-stubs@1.1.1
velocity:shim@0.1.0

Complete versions file
accounts-base@1.2.5
accounts-facebook@1.0.8
accounts-google@1.0.8
accounts-oauth@1.1.11
accounts-password@1.1.7
aldeed:autoform@5.8.1
aldeed:collection2@2.9.1
aldeed:collection2-core@1.1.1
aldeed:schema-deny@1.0.1
aldeed:schema-index@1.0.1
aldeed:simple-schema@1.5.3
allow-deny@1.0.3
arillo:flow-router-helpers@0.5.1
audit-argument-checks@1.0.6
autoupdate@1.2.7
babel-compiler@6.6.1
babel-runtime@0.1.7
base64@1.0.7
binary-heap@1.0.7
blaze@2.1.6
blaze-html-templates@1.0.3
blaze-tools@1.0.7
boilerplate-generator@1.0.7
caching-compiler@1.0.3
caching-html-compiler@1.0.5
callback-hook@1.0.7
check@1.1.3
chuangbo:cookie@1.1.0
coffeescript@1.0.16
dburles:factory@0.4.2
dburles:mongo-collection-instances@0.3.4
ddp@1.2.4
ddp-client@1.2.4
ddp-common@1.2.4
ddp-rate-limiter@1.0.3
ddp-server@1.2.5
deps@1.0.11
diff-sequence@1.0.4
ecmascript@0.4.2
ecmascript-runtime@0.2.9
ejson@1.0.10
email@1.0.11
facebook@1.2.5
fastclick@1.0.10
fortawesome:fontawesome@4.5.0
fourseven:scss@3.4.2
geojson-utils@1.0.7
google@1.1.10
gwendall:body-events@0.1.6
hot-code-push@1.0.3
html-tools@1.0.8
htmljs@1.0.8
http@1.1.4
id-map@1.0.6
jquery@1.11.7
kadira:blaze-layout@2.3.0
kadira:flow-router@2.11.0
lai:collection-extensions@0.1.4
launch-screen@1.0.10
livedata@1.0.17
localstorage@1.0.8
logging@1.0.11
matb33:collection-hooks@0.8.1
mdg:validation-error@0.2.0
meteor@1.1.13
meteor-base@1.0.3
meteorhacks:async@1.0.0
meteorhacks:fast-render@2.13.0
meteorhacks:inject-data@2.0.0
meteorhacks:meteorx@1.4.1
meteorhacks:picker@1.0.3
meteorhacks:ssr@2.2.0
meteortoys:allthings@2.3.1
meteortoys:authenticate@2.1.0
meteortoys:autopub@2.1.0
meteortoys:blueprint@2.1.0
meteortoys:email@2.1.0
meteortoys:hotreload@2.1.0
meteortoys:listen@2.1.0
meteortoys:method@3.0.2
meteortoys:pub@3.0.2
meteortoys:result@2.1.0
meteortoys:shell@2.1.0
meteortoys:status@2.1.0
meteortoys:sub@2.1.0
meteortoys:throttle@2.1.0
meteortoys:toykit@2.2.1
minifier-css@1.1.10
minifier-js@1.1.10
minimongo@1.0.13
mobile-experience@1.0.3
mobile-status-bar@1.0.11
modules@0.5.2
modules-runtime@0.6.2
momentjs:moment@2.12.0
mongo@1.1.6
mongo-id@1.0.3
msavin:jetsetter@1.5.2
msavin:mongol@1.6.2
mystor:device-detection@0.2.0
nobutakaoshiro:framework7-ios-material@1.0.4
npm-bcrypt@0.7.8_2
npm-mongo@1.4.42
oauth@1.1.9
oauth2@1.1.8
observe-sequence@1.0.10
ordered-dict@1.0.6
package-version-parser@3.0.7
practicalmeteor:chai@2.1.0_1
practicalmeteor:loglevel@1.2.0_2
practicalmeteor:mocha@2.4.5_1
practicalmeteor:mocha-core@0.1.4
practicalmeteor:sinon@1.14.1_2
promise@0.6.6
quave:useraccounts-framework7@1.0.0
raix:eventemitter@0.1.3
raix:handlebar-helpers@0.2.5
random@1.0.8
rate-limit@1.0.3
reactive-dict@1.1.6
reactive-var@1.0.8
reload@1.1.7
retry@1.0.6
reywood:publish-composite@1.4.2
routepolicy@1.0.9
rzymek:moment-locale-pt-br@2.12.0
sacha:spin@2.3.1
sanjo:jasmine@0.21.0
sanjo:karma@3.1.1
sanjo:long-running-child-process@1.1.5
sanjo:meteor-files-helpers@1.2.0_1
sanjo:meteor-version@1.0.0
service-configuration@1.0.8
session@1.1.4
sha@1.0.6
softwarerero:accounts-t9n@1.3.3
spacebars@1.0.10
spacebars-compiler@1.0.10
srp@1.0.7
standard-minifier-css@1.0.5
standard-minifier-js@1.0.5
stevezhu:fbgraph@2.0.0
templating@1.1.8
templating-tools@1.0.3
tmeasday:publish-counts@0.7.3
tmeasday:test-reporter-helpers@0.2.1
tracker@1.0.12
ui@1.0.10
underscore@1.0.7
underscorestring:underscore.string@3.3.4
url@1.0.8
useraccounts:core@1.14.2
useraccounts:flow-routing@1.14.2
velocity:chokidar@1.2.0_1
velocity:core@0.10.10
velocity:meteor-internals@1.1.0_7
velocity:meteor-stubs@1.1.1
velocity:shim@0.1.0
webapp@1.2.7
webapp-hashing@1.0.8
webtempest:animate@0.1.9
wylio:mandrill@1.0.1
xolvio:cleaner@0.2.0
yasaricli:slugify@0.0.7
zimme:active-route@2.3.2

Do you see anything wrong?


#5

I opened an issue about this problem:

If anyone have the same issue please comment there.


#6

Looks like meteor remove sanjo:jasmine is what you need. @dsmilansky if you still have the issue, check out https://github.com/meteor/meteor/issues/6828#issuecomment-217605532


#7

Thank you. Jasmine was the problem.


#8

Thank you @loren, upgrading to 1.3.2.4 did the trick!